<%
/***************************************************************************************************
*               PAGE DESCRIPTION
****************************************************************************************************
*
*               NAME:           adminAssRightGroupAdd.jsp
*               LANGUAGE:       JSP
*               DATE:           6.5.2002
*               AUTHOR:         Minna Hillebrand, University of Jyvskyl (JYU)
*               PURPOSE:        Add rights to selected user group
*
****************************************************************************************************
*               COPYRIGHT (C) KOPPELO PROJECT GROUP
*               Limited rights granted. Please refer to GNU General Public License
*               http://www.gnu.org/licenses/gpl.html
****************************************************************************************************

****************************************************************************************************
*               UPDATES
****************************************************************************************************
*          
*          
*          
*          
*
****************************************************************************************************/
%>

<%@ include file="/shared/beans.inc" %>
<%@ include file="/shared/constants.inc" %>

<% /* No relation to database is needed */
   if ( userAccessLevel < 6 )  { response.sendRedirect("errorNoAccess.jsp"); return; }
%>

<%@ include file="/shared/header.inc" %>
<%@ include file="/shared/menus.inc" %>
<%@ include file="/shared/dbconnect.inc" %>


<h3><t:Tr>Lis oikeuksia kyttjryhmille</t:Tr></h3>


<div class="in">

<form action="adminAssRightGroupInsert.jsp" method="post">

<table>
  <tr>
     <td><strong><t:Tr>Kyttjryhm</t:Tr></strong></td>
     <td><strong><t:Tr>Oikeus</t:Tr></strong></td>
  </tr>
  <tr>

<td><div>
  <select multiple name="groupid" size="20"> 
  <sql:statement id="stmt2" conn="conn2">
    <sql:query>
       select accessrightleveltranslation.name as groupname, 
              accessrightleveltranslation.accessrightlevelid as groupid
       from   accessrightlevel
       where  accessrightlevel.deleted = false
       and    accessrightlevel.accessrightlevelid = accessrightleveltranslation.accessrightlevelid
       and    accessrightleveltranslation.languageid = <%=languageID%>
    </sql:query>
    <sql:resultSet id="rset2">
      <option value="<sql:getColumn colName="groupid" />"><sql:getColumn colName="groupname" /></option>
    </sql:resultSet>
  </sql:statement>
  </select>
</div>
</td>

<td><div>
  <select multiple name="rightid" size="20"> 
  <sql:statement id="stmt2" conn="conn2">
    <sql:query>
       select assignmentright.name || ' (' ||  assignmentright.rightid || ')' as rightname,
              assignmentright.rightid as rightid 
       from   assignmentright
       where  assignmentright.deleted = false
       order by assignmentright.name
    </sql:query>
    <sql:resultSet id="rset2">
      <option value="<sql:getColumn colName="rightid" />"><sql:getColumn colName="rightname" /></option>
    </sql:resultSet>
  </sql:statement>
  </select>
</div>
</td>

</tr>
</table>

<p><input type="submit" name="submit" value="Mynn oikeus" /></p>

<p>Toiminto lis kyttjryhmille oikeuslistasta valitut oikeudet poistamatta
   aiemmin mrttyj oikeuksia.</p>
</form>


<%@ include file="/shared/pageEnd.inc" %>


