%
/***************************************************************************************************
*               PAGE DESCRIPTION
****************************************************************************************************
*
*               NAME:           adminAssRightGroupRemove.jsp
*               LANGUAGE:       JSP
*               DATE:           6.5.2002
*               AUTHOR:         Minna Hillebrand, University of Jyvskyl (JYU)
*               PURPOSE:        Remove selected rights from table AssGroupRelRight
*
****************************************************************************************************
*               COPYRIGHT (C) KOPPELO PROJECT GROUP
*               Limited rights granted. Please refer to GNU General Public License
*               http://www.gnu.org/licenses/gpl.html
****************************************************************************************************

****************************************************************************************************
*               UPDATES
****************************************************************************************************
*          
*          
*          
*          
*
****************************************************************************************************/
%>

<%@ include file="/shared/beans.inc" %>
<%@ include file="/shared/constants.inc" %>

<% /* No relation to database is needed */
   if ( userAccessLevel < 6 )  { response.sendRedirect("errorNoAccess.jsp"); return; }
%>

<%@ include file="/shared/dbconnect.inc" %>

<%

  String[] remove = request.getParameterValues("groupid");

  String groupid="0";
  String rightid="0";

  if(remove != null) {

    for(int i=0; i<remove.length; i++) {

      String con = remove[i];
      int beg = 0; 
      int end = 0;      
      end = con.indexOf(",", beg);
      if ( end < 0 ) end = con.length();
      groupid = (con.substring(beg, end)).trim();
      beg = end+1;

      end = con.length();
      rightid = (con.substring(beg, end)).trim();
 
      try {
    %>
      <sql:statement id="stmt2" conn="conn2">
        <sql:query>
          update assusergrouprelright
          set    deleted = true
          where  assusergrouprelright.groupid = <%=groupid%> 
          and    assusergrouprelright.rightid = <%=rightid%>
        </sql:query>
        <sql:execute />
      </sql:statement>
    <%
      } catch (Exception e) { %> 
         <p>Ei voitu poistaa oikeutta rivilt groupid=<%=groupid%>, rightid=<%=rightid%></p>
         <p>Oikeuksien poistoja ei ole tehty.</p>  <%
         return; 
      }
    }

  }
  response.sendRedirect("adminAssRightGroup.jsp");
  
%>



