<%
/***************************************************************************************************
*               PAGE DESCRIPTION
****************************************************************************************************
*
*               NAME:           adminAssRightPersonRemove.jsp
*               LANGUAGE:       JSP
*               DATE:           6.5.2002
*               AUTHOR:         Minna Hillebrand, University of Jyvskyl (JYU)
*               PURPOSE:        Remove selected rights from table AssPersonRelRigth
*
****************************************************************************************************
*               COPYRIGHT (C) KOPPELO PROJECT GROUP
*               Limited rights granted. Please refer to GNU General Public License
*               http://www.gnu.org/licenses/gpl.html
****************************************************************************************************

****************************************************************************************************
*               UPDATES
****************************************************************************************************
*          
*          
*          
*          
*
****************************************************************************************************/
%>

<%@ include file="/shared/beans.inc" %>
<%@ include file="/shared/constants.inc" %>

<% /* No relation to database is needed */
   if ( userAccessLevel < 6 )  { response.sendRedirect("errorNoAccess.jsp"); return; }
%>

<%@ include file="/shared/dbconnect.inc" %>

<%

  String[] remove = request.getParameterValues("personid");

  String personid="0";
  String lineid="0";
  String typeid="0";
  String rightid="0";

  if(remove != null) {

    for(int i=0; i<remove.length; i++) {

      String con = remove[i];
      int beg = 0; 
      int end = 0;      
      end = con.indexOf(",", beg);
      if ( end < 0 ) end = con.length();
      personid = (con.substring(beg, end)).trim();
      beg = end+1;

      end = con.indexOf(",", beg);
      if ( end < 0 ) end = con.length();
      rightid = (con.substring(beg, end)).trim();
      beg = end+1;

      end = con.indexOf(",", beg);
      if ( end < 0 ) end = con.length();
      lineid = (con.substring(beg, end)).trim();
      beg = end+1;

      end = con.length();
      typeid = (con.substring(beg, end)).trim();
 
      try {
    %>
      <sql:statement id="stmt2" conn="conn2">
        <sql:query>
          update asspersonrelright
          set    deleted = true
          where  asspersonrelright.personid = <%=personid%> 
          and    asspersonrelright.rightid = <%=rightid%>
          and    asspersonrelright.lineid = <%=lineid%>
          and    asspersonrelright.asstypeid = <%=typeid%>
        </sql:query>
        <sql:execute />
      </sql:statement>
    <%
      } catch (Exception e) { %> 
         <p>Ei voitu poistaa oikeutta rivilt personid=<%=personid%>, rightid=<%=rightid%>, 
            lineid=<%=lineid%>, typeid=<%=typeid%>.</p>
         <p>Oikeuksien poistoja ei ole tehty.</p>  <%
         return; 
      }
    }

  }
  response.sendRedirect("adminAssRightPerson.jsp");
  
%>



