<%
/***************************************************************************************************
*               PAGE DESCRIPTION
****************************************************************************************************
*
*               NAME:           adminAssRightRole.jsp
*               LANGUAGE:       JSP
*               DATE:           6.5.2002
*               AUTHOR:         Minna Hillebrand, University of Jyvskyl (JYU)
*               PURPOSE:        Show all role related rights
*
****************************************************************************************************
*               COPYRIGHT (C) KOPPELO PROJECT GROUP
*               Limited rights granted. Please refer to GNU General Public License
*               http://www.gnu.org/licenses/gpl.html
****************************************************************************************************

****************************************************************************************************
*               UPDATES
****************************************************************************************************
*          
*          
*          
*          
*
****************************************************************************************************/
%>

<%@ include file="/shared/beans.inc" %>
<%@ include file="/shared/constants.inc" %>

<% /* No relation to database is needed */
   if ( userAccessLevel < 6 )  { response.sendRedirect("errorNoAccess.jsp"); return; }
%>

<%@ include file="/shared/header.inc" %>
<%@ include file="/shared/menus.inc" %>
<%@ include file="/shared/dbconnect.inc" %>

<%  String orderBy= "order by assroletranslation.name";
    String order="";
    if (request.getParameter("orderby") != null) order = request.getParameter("orderby");
    if ( order.equals("rolename") ) orderBy = "order by assroletranslation.name";
    if ( order.equals("rightname") ) orderBy = "order by assignmentright.name, assroletranslation.name";
%>


<h3><t:Tr>Opinnytteiden rooleihin liitetyt oikeudet</t:Tr></h3>

<div class="in">

<p><a href="adminAssRightRoleAdd.jsp">Lis roolille oikeuksia...</a></p>

<form action="adminAssRightRoleRemove.jsp">


<table>
  <tr>
     <td><strong><t:Tr>Poista</t:Tr></strong></td>
     <td><strong><a href="adminAssRightRole.jsp?orderby=rolename"><t:Tr>Rooli</t:Tr></a></strong></td>
     <td><strong><a href="adminAssRightRole.jsp?orderby=rightname"><t:Tr>Oikeus</t:Tr></a></strong></td>
  </tr>

  <sql:statement id="stmt2" conn="conn2">
    <sql:query>
      select assroletranslation.name as rolename,
             assroletranslation.roleid as roleid,  
             assignmentright.name as rightname,
             assrolerelright.rightid as rightid 
      from   assrolerelright 
      where  assrolerelright.deleted = false 
      and    assrolerelright.roleid = assignmentrole.roleid
      and    assignmentrole.roleid = assroletranslation.roleid
      and    assroletranslation.languageid = <%=languageID%>
      and    assrolerelright.rightid = assignmentright.rightid
    </sql:query>
    <sql:resultSet id="rset2">
      <tr>
        <td valign="top"><input type="checkbox" name="roleid" value="<sql:getColumn colName="roleid" />,<sql:getColumn colName="rightid" />" /></td>
        <td valign="top"><sql:getColumn colName="rolename" /></td>
        <td valign="top"><sql:getColumn colName="rightname" /></td>
       </tr>
    </sql:resultSet>
  </sql:statement>

</table>

<p><input type="submit" name="submit" value="Poista valitut oikeudet" /></p>
</form>


<%@ include file="/shared/pageEnd.inc" %>


