<%
/***************************************************************************************************
*               PAGE DESCRIPTION
****************************************************************************************************
*
*               NAME:           adminAssRightRoleInsert.jsp
*               LANGUAGE:       JSP
*               DATE:           6.5.2002
*               AUTHOR:         Minna Hillebrand, University of Jyvskyl (JYU)
*               PURPOSE:        Insert selected rights to table AssRoleRelRight
*
****************************************************************************************************
*               COPYRIGHT (C) KOPPELO PROJECT GROUP
*               Limited rights granted. Please refer to GNU General Public License
*               http://www.gnu.org/licenses/gpl.html
****************************************************************************************************

****************************************************************************************************
*               UPDATES
****************************************************************************************************
*          
*          
*
****************************************************************************************************/
%>

<%@ include file="/shared/beans.inc" %>
<%@ include file="/shared/constants.inc" %>

<% /* No relation to database is needed */
   if ( userAccessLevel < 6 )  { response.sendRedirect("errorNoAccess.jsp"); return; }
%>

<%@ include file="/shared/dbconnect.inc" %>

<%

  String[] roleid = request.getParameterValues("roleid");
  String[] rightid = request.getParameterValues("rightid");

  if (rightid == null || roleid == null ) {
    response.sendRedirect("error.jsp?message=1&page=adminAssRightPersonInsert");
    return;
  }

  for(int i=0; i<roleid.length; i++) {
    for(int j=0; j<rightid.length; j++) {
      try {
%>
      <sql:statement id="stmt2" conn="conn2">
        <sql:query>
          insert into assrolerelright 
            (deleted, roleid, rightid, grantedby, grantedon)
          values (false, <%=roleid[i]%>, <%=rightid[j]%>, <%=personID%>, current_date)
        </sql:query>
        <sql:execute />
      </sql:statement>
<%                
      } catch (Exception e) { 
         try{
%>        <sql:statement id="stmt2" conn="conn2">
          <sql:query>
            update assrolerelright 
            set deleted = false
            where roleid = <%=roleid[i]%>
            and   rightid = <%=rightid[j]%>   
          </sql:query>
          <sql:execute />
        </sql:statement>
<%      } catch (Exception f) {}
      }
    }
  }
  response.sendRedirect("adminAssRightRole.jsp");
  
%>



