<%
/***************************************************************************************************
*               PAGE DESCRIPTION
****************************************************************************************************
*
*               NAME:           adminMain.jsp
*               LANGUAGE:       JSP
*               DATE:           6.5.2002
*               AUTHOR:         Minna Hillebrand, University of Jyvskyl (JYU)
*
****************************************************************************************************
*               COPYRIGHT (C) KOPPELO PROJECT GROUP
*               Limited rights granted. Please refer to GNU General Public License
*               http://www.gnu.org/licenses/gpl.html
****************************************************************************************************

****************************************************************************************************
*               UPDATES
****************************************************************************************************
*          
*          
*          
*          
*
****************************************************************************************************/
%>

<%@ include file="/shared/beans.inc" %>
<%@ include file="/shared/constants.inc" %>

<% /* No relation to database is needed because every KOTKA users are allowed to see this page */
   if ( userAccessLevel < 6 )  { response.sendRedirect("errorNoAccess.jsp"); return; }
%>

<%@ include file="/shared/header.inc" %>
<%@ include file="/shared/menus.inc" %>
<%@ include file="/shared/dbconnect.inc" %>

<h3><t:Tr>Opinnytteiden oikeuksien hallinta</t:Tr></h3>

<div class="in">
<p><t:Tr>Oikeuksien hallintaan tehty alkeellinen kyttliittym.</t:Tr></p>


<%--<p><a href="adminAssRight.jsp">Oikeustaulu</a></p>--%>
<table>
<tr>
<td valign="top"><a href="adminAssRightPerson.jsp">Henkilkohtaiset oikeudet</a> </td>
<td valign="top"> ovat yksittisiin henkilihin liitettyj linja- ja opinnytettyyppikohtaisia 
     oikeuksia KOPPELO-sovelluksessa.</td>
</tr>
<tr> 
<td valign="top"><a href="adminAssRightRole.jsp">Roolikohtaiset oikeudet</a></td>
<td valign="top"> ovat opinnytteen roolijakoon liityttyj oikeuksia KOPPELO-sovelluksessa.</td>
</tr>
<tr>
<td valign="top"><a href="adminAssRightGroup.jsp">Ryhmkohtaiset oikeudet</a></td>
<td valign="top"> ovat KOTKA-jrjestelmn kyttjryhmiin sidottuja oikeuksia KOPPELO-sovelluksessa. 
     Niden oikeuksien myntmisess pit aina kytt harkintaa, sill nill oikeuksilla 
     kyttjt voivat saada itselleen tarpeettoman suuren vallan KOPPELO-sovelluksessa. 
     Usein oikeuksien myntmiseen riitt roolikohtaiset oikeudet.</td>
</tr>
</table>
</div>

<%@ include file="/shared/pageEnd.inc" %>


