<%
/***************************************************************************************************
*               PAGE DESCRIPTION
****************************************************************************************************
*
*               NAME:           assignmentRemoveInsert.jsp
*               LANGUAGE:       JSP
*               DATE:           3.5.2002
*               AUTHOR:         Minna Hillebrand, University of Jyvskyl (JYU)
*               PURPOSE:        Remove assignment from database (mark as deleted)
*
****************************************************************************************************
*               COPYRIGHT (C) KOPPELO PROJECT GROUP
*               Limited rights granted. Please refer to GNU General Public License
*               http://www.gnu.org/licenses/gpl.html
****************************************************************************************************

****************************************************************************************************
*               UPDATES
****************************************************************************************************
*              
*
*
****************************************************************************************************/
%>

<%@ include file="/shared/beans.inc" %>
<%@ include file="/shared/constants.inc" %>


<% 
 if (request.getParameter("assid") == null) {
   response.sendRedirect("error.jsp?page=assignmentRemove&message=1") ; 
   return;
 }
 int assID = Integer.parseInt((String)request.getParameter("assid"));

%>

<%@ include file="/shared/dbconnect.inc" %>


<%-- oikeudet --%>


<% police.setDB(db);

   if ( ! police.hasPersonRight(allowAssUpdate, personID, assID) ) {
      response.sendRedirect("errorNoAccess.jsp"); 
      return;   
   }

%>


<sql:statement id="stmt3" conn="conn2">
  <sql:query>
    update assignment
    set    deleted = true
    where assignment.assignmentid = <%=assID%> 
  </sql:query>
  <sql:execute />
</sql:statement>


<%
   response.sendRedirect("main.jsp?teacher=true") ; 
%>


