<%
/***************************************************************************************************
*               PAGE DESCRIPTION
****************************************************************************************************
*
*               NAME:           autoMatik.jsp
*               LANGUAGE:       JSP
*               DATE:           21.5.2002
*               AUTHOR:         Marko Ylitalo, University of Jyvskyl (JYU)
*
****************************************************************************************************
*               COPYRIGHT (C) KOPPELO PROJECT GROUP
*               Limited rights granted. Please refer to GNU General Public License
*               http://www.gnu.org/licenses/gpl.html
****************************************************************************************************

****************************************************************************************************
*               UPDATES
****************************************************************************************************
*
*
*
*
*
****************************************************************************************************/
%>

<%@ page language="Java" import="kotkabeans.*, java.util.*,java.sql.*" session="true"
    autoFlush="true" isThreadSafe="true" isErrorPage="false" errorPage="/shared/showError.jsp" %>

<%@ taglib uri="/WEB-INF/classes/koppelotags/koppelo.tld" prefix="koppelo" %>
<%@ taglib uri="/WEB-INF/classes/dbtags/dbtags.tld" prefix="sql" %>
<jsp:useBean id="mail" scope="page" class="kotkabeans.Mail" />

<%@ include file="/shared/dbconnect.inc" %>

<%-- import kotkabeans; --%>
<% time timeformater = new time(); %>


<html><body>


<%-- Lukemattomien tapahtumien poistaminen  --%>
  <sql:statement id="stmt2" conn="conn2">
    <sql:query>
       delete from unreadmessages
       where  deleted = true
       or     toberemoved <= current_date
    </sql:query>
    <sql:execute />
  </sql:statement>


<%-- Varoitusviesti jos ei annettu tapahtumia viimeaikoina  --%>

  <sql:statement id="stmt2" conn="conn2">
    <sql:query>
      select distinct assignmentevent.assignmentid as assid,
             assignment.warningtime as wtime
      from   assignmentevent 
      where  assignmentevent.assignmentid = assignment.assignmentid
      and    assignment.deleted = false      

    </sql:query>


    <sql:resultSet id="rset2" loop="true">
       <% pageContext.setAttribute("assid", "0"); %>
       <% pageContext.setAttribute("wtime", "0"); %>
       <sql:getColumn colName="assid" to="assid" scope="page"/>
       <sql:getColumn colName="wtime" to="wtime" scope="page"/>
       <% try { 
            if ( Integer.parseInt((String)pageContext.getAttribute("wtime")) > 0 ) {
       %> 

       <sql:statement id="stmt3" conn="conn2">
         <sql:query>
         select (current_date - max(assignmentevent.eventdate)) as vali 
         from    assignmentevent
         where   assignmentevent.assignmentid = <%=pageContext.getAttribute("assid")%>
         </sql:query> 
         <sql:resultSet id="rset3">
           <sql:getColumn colName="vali" to="vali" />
           <% if ( Integer.parseInt((String)pageContext.getAttribute("vali")) > 
                   Integer.parseInt((String)pageContext.getAttribute("wtime")) ) { 
           %> 
                 <sql:statement id="stmt4" conn="conn2">
                 <sql:query>
         select  personparameter.personparametervalue as personto,
                 assdetailtranslation.name as title, 
                 max(assignmentevent.eventdate) as lastdate
         from    assignmentrelatedperson
         where   assignmentrelatedperson.deleted = false
         and     assignmentrelatedperson.assignmentid = <%=pageContext.getAttribute("assid")%>
         and     assignmentrelatedperson.roleid = 1
         and     assignmentrelatedperson.personid = personparameter.personid
         and     personparameter.personparametertypeid = 3
         and     personparameter.deleted = false 
         and     assignmentrelatedperson.assignmentid = assignment.assignmentid
         and     assignment.assignmentid = assignmentreldetail.assignmentid
         and     assignmentreldetail.deleted = false
         and     assignmentreldetail.detailid = assignmentdetail.detailid
         and     assignmentdetail.typeid = 8
         and     assignmentdetail.detailid = assdetailtranslation.detailid
         and     assdetailtranslation.languageid = 2  
         and     assignment.assignmentid = assignmentevent.assignmentid
         group by personto, title        
                 </sql:query> 
                 <sql:resultSet id="rset4">
                    <sql:getColumn colName="personto" to="personto" scope="page"/>
                    <sql:getColumn colName="title" to="title" scope="page"/>
                    <sql:getColumn colName="lastdate" to="lastdate" scope="page"/>

           <%   try {       
                String personto = (String)pageContext.getAttribute("personto");
                String title    = (String)pageContext.getAttribute("title");
                String lastdate = timeformater.monthToOutFormat((String)pageContext.getAttribute("lastdate"));
                String message = "Tm on automaattisesti lhetetty viesti KOPPELO-sovelluksesta.\n\n"

                              +  "Opinnytteeseen \"" + title + "\"\n"
                              +  "viimeksi kirjatusta tapahtumasta on kulunut yli " 
                              +   (String)pageContext.getAttribute("wtime")
                              +  " piv.\nViimeinen tapahtuma on kirjattu " + lastdate + ".\n"

                              +  "Alla olevasta linkist pset opinnytteen tietoihin.\n\n"
                              +  "https://hartman.it.jyu.fi/kotka/koppelo/assignment.jsp?assid=" 
                              +  (String)pageContext.getAttribute("assid") + "\n\n" 

                              +  "viestin piti menn osoitteeseen " + personto + "\n\n"

                              +  "Tm viesti lhetetn pivittin kaikille opinnytteeseen liitetyille\n"
                              +  "opiskelijoille kunnes opinnytteeseen kirjataan uusi tapahtuma.";

                mail.sendMail( "nobody@it.jyu.fi", "mmhilleb@st.jyu.fi", title, message);
                } catch (Exception ihme) { %><p>ei mennyt </p><% }  
             %>  </sql:resultSet>
                 </sql:statement>

            <%  } %>
         </sql:resultSet>
         </sql:statement>

<%--           <h1> piv opinnytteess <%=pageContext.getAttribute("assid")%></h1>  --%>

       <%   }
          } catch (Exception e) {} %>
       <%-- in case of null warning time --%>     
    </sql:resultSet>
  </sql:statement>



<%-- Poistetaan erntyneet aiheet --%>


  <sql:statement id="stmt2" conn="conn2">
    <sql:query>
       update assignmentoriginal
       set    deleted = true
       where  validuntil <= current_date
    </sql:query>
    <sql:execute />
  </sql:statement>


<%-- Varoitusviesti jos aihe aiotaan poistaa  --%>



  <sql:statement id="stmt2" conn="conn2">
    <sql:query>
      select Original.validuntil as validuntil,
             Original.originalid as origid,
             personparameter.personparametervalue as email,
             assdetailtranslation.name as title,
             (Original.validuntil - current_date) as timeleft
      from   assignmentoriginal as Original
      where  Original.deleted = false
      and    Original.acceptedby = null 
      and    Original.proposedby = person.personid
      and    person.personid = personparameter.personid 
      and    personparameter.personparametertypeid =  3
      and    personparameter.deleted = false
      and    Original.originalid = assoriginalreldetail.originalid
      and    assoriginalreldetail.deleted = false
      and    assoriginalreldetail.detailid = assignmentdetail.detailid
      and    assignmentdetail.typeid = 8
      and    assignmentdetail.detailid = assdetailtranslation.detailid
      and    assdetailtranslation.languageid = 2 

<%--      having       7 > ( select (Orig.validuntil - current_date) 
                   from   assignmentoriginal as Orig 
                   where  Orig.originalid = Original.originalid ) --%>

    </sql:query>

    <sql:resultSet id="rset2" loop="true">
       <sql:getColumn colName="origid" to="origid" scope="page"/>
       <sql:getColumn colName="validuntil" to="vuntil" scope="page"/>
       <sql:getColumn colName="email" to="email" scope="page"/>
       <sql:getColumn colName="title" to="title" scope="page"/>
       <sql:getColumn colName="timeleft" to="timeleft" scope="page"/>
       <% 
          if ( Integer.parseInt((String)pageContext.getAttribute("timeleft")) < 7  ) {
            String message = "Tm on automaattisesti lhetetty viesti KOPPELO-sovelluksesta.\n\n"
                         + "Aihe-ehdotustasi \"" + (String)pageContext.getAttribute("title") + "\"\n"
                         + "ei ole viel hyvksytty. Aihe-ehdotuksen viimeinen voimassaolopiv on " 
                         + timeformater.monthToOutFormat((String)pageContext.getAttribute("vuntil")) + ".\n\n"
                         + "Voit muuttaa aihe-ehdotuksen tietoja ja jatkaa sen voimassaoloaikaa sivulla\n"
                         + "https://hartman.it.jyu.fi/kotka/koppelo/acceptProposition.jsp?origid=" 
                         + (String)pageContext.getAttribute("origid")

                         + "\npiti menn" +(String)pageContext.getAttribute("email");  

            mail.sendMail("nobody@it.jyu.fi", "mmhilleb@st.jyu.fi",   // "(String)pageContext.getAttribute("email")", 
                          "Aihe-ehdotuksesi " +(String)pageContext.getAttribute("title"), message);
          }                        
       %>
    </sql:resultSet>
  </sql:statement>  

<p>Tarvittavat viestit lhetetty</p>

  


</body>
</html>
