<%
/***************************************************************************************************
*               PAGE DESCRIPTION
****************************************************************************************************
*
*               NAME:           studentAssEvent.jsp
*               LANGUAGE:       JSP
*               DATE:           4.4.2002
*               AUTHOR:         Minna Hillebrand, University of Jyvskyl (JYU)
*               PURPOSE:        Show Assignmentevent's details
*
****************************************************************************************************
*               COPYRIGHT (C) KOPPELO PROJECT GROUP
*               Limited rights granted. Please refer to GNU General Public License
*               http://www.gnu.org/licenses/gpl.html
****************************************************************************************************

****************************************************************************************************
*               UPDATES
****************************************************************************************************
*              
*
*
****************************************************************************************************/
%>

<%@ include file="/shared/beans.inc" %>
<%@ include file="/shared/constants.inc" %>
<%@ include file="/shared/dbconnect.inc" %>


<% 
 if (request.getParameter("assid") == null) {
   response.sendRedirect("error.jsp?page=insertEvent.jsp&message=1") ; 
   return;
 }
 int assid = Integer.parseInt((String)request.getParameter("assid"));


%>

  <sql:statement id="stmt2" conn="conn2">
    <sql:query>
          select 1 as id
          from   assignmentrelatedperson
          where  assignmentrelatedperson.deleted = false 
          and    assignmentrelatedperson.assignmentid = <%=assid%>
          and    assignmentrelatedperson.personid = <%=personID%>
          and    assignmentrelatedperson.roleid = assrolerelright.roleid
          and    assrolerelright.deleted = false
          and    assrolerelright.rightid = <%=allowAssDetail%> 
    </sql:query>
    <sql:resultSet id="rset2">
      <sql:getColumn colName="id" to="did" scope="page" />
    </sql:resultSet>
  </sql:statement>

<%
  try {
    int id = Integer.parseInt((String)pageContext.getAttribute("did"));
  } catch (Exception e) {
    response.sendRedirect("errorNoAccess.jsp"); 
    return;
  }
%>



<% boolean success = false; %>
<sql:statement id="stmt2" conn="conn2">
  <sql:query>
   select max(assignmentevent.eventid)+1 as newid
   from  assignmentevent;
  </sql:query>
  <sql:resultSet id="rset2">
    <sql:getColumn colName="newid" to="maxid" scope="page"/> 
    <% if ( pageContext.getAttribute("maxid") != null ) success = true; %>
  </sql:resultSet>
</sql:statement>

<% String maxid = "1";
   if (success) maxid = (String)pageContext.getAttribute("maxid"); 

   try {

%>


<% time timeformater = new time(); %>


<sql:statement id="stmt3" conn="conn2">
  <sql:query>
    INSERT INTO AssignmentEvent (Deleted, EventID, AssignmentID, RegistratorID, 
                EventDate, BeginTime, EndTime, Title, Memo, Taskid, EventTypeId) 
    VALUES (False, <%=maxid%>, <%=request.getParameter("assid")%>, 
            <%=request.getParameter("regid")%>, '<%=timeformater.monthToDBFormat((String)request.getParameter("date"))%>', 
            '<%=request.getParameter("begintime")%>', '<%=request.getParameter("endtime")%>', 
            '<%=request.getParameter("title")%>', '<%=request.getParameter("memo")%>', 
            <%=request.getParameter("taskid")%>, <%=request.getParameter("typeid")%>);
  </sql:query>
  <sql:execute />
</sql:statement>



<sql:statement id="stmt3" conn="conn2">
  <sql:query>
    INSERT INTO unreadmessages (Deleted, asspersonid, eventid, toberemoved)
    select 'false', assignmentrelatedperson.relationid, <%=maxid%>, current_date+10 
    where   assignmentrelatedperson.deleted = 'false'
    and     assignmentrelatedperson.assignmentid = <%=assid%>
    and     assignmentrelatedperson.personid <>  <%=personID%>
  </sql:query>
  <sql:execute />
</sql:statement> 



<% } catch (Exception e) {

    response.sendRedirect("error.jsp?message=4&page=insertEvent");
    return;
   } 

    response.sendRedirect("assignmentEvent.jsp?eventid="+maxid);

%>





