<%
/***************************************************************************************************
*               PAGE DESCRIPTION
****************************************************************************************************
*
*               NAME:           propositions.jsp
*               LANGUAGE:       JSP
*               DATE:           8.5.2002
*               AUTHOR:         Marko Ylitalo, University of Jyvskyl (JYU)
*
****************************************************************************************************
*               COPYRIGHT (C) KOPPELO PROJECT GROUP
*               Limited rights granted. Please refer to GNU General Public License
*               http://www.gnu.org/licenses/gpl.html
****************************************************************************************************

****************************************************************************************************
*               UPDATES
****************************************************************************************************
*
****************************************************************************************************/
%>

<%@ include file="/shared/beans.inc" %>
<%@ include file="/shared/constants.inc" %>

<% /* No relation to database is needed because every KOTKA users are allowed to see this page */
   if ( userAccessLevel < studentID )  { response.sendRedirect("errorNoAccess.jsp"); return; }

%>

<%@ include file="/shared/header.inc" %>
<%@ include file="/shared/menus.inc" %>
<%@ include file="/shared/dbconnect.inc" %>

<% time timeformater = new time(); %>

<p><a href="propose.jsp">Uusi aihe-ehdotus</a></p>

<h3><t:Tr>Hyvksymist kaipaavat aihe-ehdotukset</t:Tr></h3>

<%--
<p><t:Tr>KOTKA-jrjestelmn opinnytteiden hallintaosassa voidaan yllpit kaikkea 
opinnytteisiin liittyv tietoa. Tll psivulla net opinnytteisiisi 
liittyvt lukemattomat tapahtumat ja linkit ohjaamiisi keskenerisiin opinnytteisiin. 
</t:Tr></p>
--%>

<%-- HYVKSYMIST KAIPAAVAT AIHE-EHDOTUKSET --%>

<%-- All unread events related to user's assignments */ --%>

<% String condition="";
   if ( request.getParameter("own") != null )
     condition="and assignmentoriginal.proposedby = " + personID;

   int counter = 0;
%>

<div class="in">
<table>
      <tr>
        <td><strong>Ehdotettu</strong></td>
        <td><strong>Otsikko</strong></td>
        <td><strong>Ehdottaja</strong></td>
        <td><strong>Aihe voimassa</strong></td>
      </tr>

  <sql:statement id="stmt2" conn="conn2">
    <sql:query>
      select distinct assignmentoriginal.originalid as origid,
             assignmentoriginal.proposeddate as pdate,
             assdetailtranslation.name as origname,
             person.firstnames || ' ' || person.lastname as proposedby,
             assignmentoriginal.validuntil  
      from   assignmentoriginal
      where  assdetailtranslation.languageid = <%=languageID%>
      and    assignmentoriginal.deleted = false 
      and    assignmentoriginal.acceptedby = NULL 
      and    assoriginalreldetail.originalid = assignmentoriginal.originalid
      and    assoriginalreldetail.detailid = assignmentdetail.detailid
      and    assignmentdetail.typeid = <%=titleID%>
      and    assignmentdetail.detailid = assdetailtranslation.detailid
      and    assignmentoriginal.proposedby = person.personid 
<%--      and    assignmentoriginal.originalid = assoriginalposline.originalid
      and    assoriginalposline.lineid = studyline.lineid
      and    studyline.organisationid  = <%=user.getOrganisationID()%>
--%>
     <%=condition%>
       order by pdate desc, origid desc 
    </sql:query>


    <sql:resultSet id="rset2" loop="true">
      <tr>
        <sql:getDate colName="pdate" to="pdate" />
        <sql:getColumn colName="validuntil" to="validuntil" />
        <% if ( pageContext.getAttribute("validuntil") != null ) counter++; %> 
        <td><%=timeformater.monthToOutFormat((String)pageContext.getAttribute("pdate")) %></td> 
        <td><a href="acceptProposition.jsp?origid=<sql:getColumn colName="origid" />">
            <sql:getColumn colName="origname" /></a></td> 
        <td><sql:getColumn colName="proposedby" /></td>
        <td><%=timeformater.monthToOutFormat((String)pageContext.getAttribute("validuntil")) %></td> 
      </tr>
    </sql:resultSet>
  </sql:statement>

</table>

<% if (counter == 0) { 
     if ( request.getParameter("own") != null ) { 
%>
<p>Sinulla ei ole ksittelemttmi aihe-ehdotuksia.<p>
<%   } else { %>
<p>Laitoksellasi ei ole ksittelemtmi aihe-ehdotuksia.</p>    
<%   } %>
<% } %>

</div>


<%@ include file="/shared/pageEnd.inc" %>


