<%
/***************************************************************************************************
*               PAGE DESCRIPTION
****************************************************************************************************
*
*               NAME:           searchPerson.jsp
*               LANGUAGE:       JSP
*               DATE:           21.5.2002
*               AUTHOR:         Markus Silvn, University of Jyvskyl (JYU)
*               PURPOSE:        Forward to searchResult.jsp or return to search.jsp if conditional
*                               for person isn't empty
*
****************************************************************************************************
*               COPYRIGHT (C) KOPPELO PROJECT GROUP
*               Limited rights granted. Please refer to GNU General Public License
*               http://www.gnu.org/licenses/gpl.html
****************************************************************************************************

****************************************************************************************************
*               UPDATES
****************************************************************************************************
*
*
****************************************************************************************************/
%>

<%@ include file="/shared/beans.inc" %>
<%@ include file="/shared/constants.inc" %>
<%@ include file="/shared/dbconnect.inc" %>

<%
  /* choose page */
  String strURL = "searchResult.jsp";

  if(request.getParameter("condition") != null)
    if(!request.getParameter("condition").equals(""))
      strURL = "search.jsp";

  /* forward parameters */

  strURL += "?condition=" + request.getParameter("condition");
  strURL += "&personid=" + request.getParameter("personid");
  strURL += "&searchText=" + java.net.URLEncoder.encode(request.getParameter("searchText"));
  strURL += "&searchTextMethod=" + request.getParameter("searchTextMethod");
  strURL += "&phaseid=" + request.getParameter("phaseid");
  strURL += "&timebegin=" + request.getParameter("timebegin");
  strURL += "&timeend=" + request.getParameter("timeend");


  /* parameters with multiple values */

  String[] lines = request.getParameterValues("lineid");
  String[] types = request.getParameterValues("typeid");

  if(lines != null)
    for(int i=0;i<lines.length;i++)
      strURL += "&lineid=" + lines[i];

  if(types != null)
    for(int i=0;i<types.length;i++)
      strURL += "&typeid=" + types[i];


  /* redirect */

  response.sendRedirect(strURL);
  
%>
<%--
<%=request.getParameter("searchText")%><br>
<%=java.net.URLEncoder.encode(request.getParameter("searchText"))%>
--%>
