<%
/***************************************************************************************************
*               PAGE DESCRIPTION
****************************************************************************************************
*
*               NAME:           searchResult.jsp
*               LANGUAGE:       JSP
*               DATE:           16.4.2002
*               AUTHOR:         Minna Hillebrand, University of Jyvskyl (JYU)
*               PURPOSE:        Show search result. 
*
****************************************************************************************************
*               COPYRIGHT (C) KOPPELO PROJECT GROUP
*               Limited rights granted. Please refer to GNU General Public License
*               http://www.gnu.org/licenses/gpl.html
****************************************************************************************************

****************************************************************************************************
*               UPDATES
****************************************************************************************************
*             
*               25.4.2002 Page completely rewritten, Markus Silvn, JYU
*                7.5.2002 Added variables isPersonnel and isKOTKAUser
*
****************************************************************************************************/

/***************************************************************************************************
*               ToDo
****************************************************************************************************
*             
*               - raportit ? raporttimallit ? (CSS vai ihan kunnolla?)
*
****************************************************************************************************/
%>

<%@ include file="/shared/beans.inc" %>
<%@ include file="/shared/constants.inc" %>
<%@ include file="/shared/dbconnect.inc" %>


<% boolean isKOTKAUser = false;
   if ( userAccessLevel >= studentID ) isKOTKAUser = true;

   boolean isPersonnel = false; 
%>

  <sql:statement id="stmt2" conn="conn2">
    <sql:query>
          select 3 as id from assusergrouprelright
          where assusergrouprelright.deleted = false
          and   assusergrouprelright.groupid = <%=userAccessLevel%>
          and   assusergrouprelright.rightid = <%=allowUnfinishedAss%>  
          union      
          select 3 as id from asspersonrelright
          where asspersonrelright.deleted = false
          and   asspersonrelright.personid = <%=personID%>
          and   asspersonrelright.rightid = <%=allowUnfinishedAss%>                
    </sql:query>
    <sql:resultSet id="rset2">
      <sql:getColumn colName="id" to="fid" scope="page" />
    </sql:resultSet>
  </sql:statement>
<%
  try {
    if ( Integer.parseInt((String)pageContext.getAttribute("fid")) == 3 )  isPersonnel = true;
  } catch (Exception e) {}

%>





<%
  time timeformater = new time();
  int phaseid = defaultPhaseID;
  if(request.getParameter("phaseid") != null) {
    try {
      phaseid = Integer.parseInt((String)request.getParameter("phaseid"));
    }
    catch(Exception e) {}
  }

  int personid = -1; /* -1 means no personid is used in search terms */
  if(request.getParameter("personid") != null) {
    try {
      personid = Integer.parseInt((String)request.getParameter("personid"));
    }
    catch(Exception e) {}
  }

  String strSQLTypes = "";
  String strSQLTypesSubjects = "";
  String[] selectedTypes = request.getParameterValues("typeid");

  if(selectedTypes != null) {
    strSQLTypes = " and (assignment.assignmenttypeid = " + selectedTypes[0];
    for(int i=1; i<selectedTypes.length; i++) {
      strSQLTypes += " or assignment.assignmenttypeid = " + selectedTypes[i];
    }

    strSQLTypes += ")";

    strSQLTypesSubjects = " and assoriginalpostype.typeid in ( ";

    for(int i=0; i<selectedTypes.length; i++) {
      strSQLTypesSubjects = strSQLTypesSubjects + " " + selectedTypes[i];
      if(i<(selectedTypes.length-1)) strSQLTypesSubjects += ",";  
    }
    strSQLTypesSubjects += " )";
  }


  String searchText = request.getParameter("searchText");
  String searchTextMethod = request.getParameter("searchTextMethod");
  String strSQLText = "";
  String strSQLTextSubjects = "";

  if(searchText != null) {
//    if(searchTextMethod == null) response.sendRedirect("errorSeach.jsp&error=2");
    int i = Integer.parseInt(searchTextMethod);
    if(i == SEARCH_TITLE) {
      strSQLText = " and lower(assdetailtranslation.name) like lower('%" + searchText + "%')"; 
      strSQLTextSubjects = " and lower(Title.name) like lower('%" + searchText + "%')"; 
    }
    if(i == SEARCH_KEYWORD) {
      strSQLText = " and assignmentrelkeyword.keywordid = assignmentkeyword.keywordid";
      strSQLText += " and asskeywordtranslation.keywordid = assignmentkeyword.keywordid";
      strSQLText += " and lower(asskeywordtranslation.name) like lower('%" + searchText + "%')";
      strSQLText += " and asskeywordtranslation.languageid = " + languageID;
      strSQLText += " and assignmentrelkeyword.assignmentid = assignment.assignmentid ";
      strSQLTextSubjects = " and lower(asskeywordtranslation.name) like lower('%" + searchText + "%')";
    }
    if(i == SEARCH_DESCRIPTION) {
      strSQLText = " and    assignment.assignmentid in (";
      strSQLText += " select assignment.assignmentid";
      strSQLText += " from   assignment, assignmentreldetail, assignmentdetail, assdetailtranslation";
      strSQLText += " where  assignment.assignmentid = assignmentreldetail.assignmentid";
      strSQLText += " and    assignmentreldetail.detailid = assignmentdetail.detailid";
      strSQLText += " and    assignmentdetail.typeid = 1";
      strSQLText += " and    assignmentdetail.detailid = assdetailtranslation.detailid";
      strSQLText += " and    assdetailtranslation.languageid = 2";
      strSQLText += " and    lower(assdetailtranslation.name) like lower('%" + searchText + "%') )";
      strSQLTextSubjects = " and lower(Description.name) like lower('%" + searchText + "%')";
    }
  }
%>

<%
  String strSQLPerson = " and assignmentrelatedperson.assignmentid = assignment.assignmentid";
  strSQLPerson += " and assignmentrelatedperson.deleted = false";

  if(personid != -1)
    strSQLPerson += " and assignmentrelatedperson.personid = " + personid; // searched person

  if(isPersonnel == false && phaseid != readyAssignmentID)
    strSQLPerson += " and assignmentrelatedperson.personid = " + personID; // current user
%>

<%
  String[] selectedLines = request.getParameterValues("lineid");
  String strSQLLines = "";
  String strSQLLinesSubjects = "";

  if(selectedLines != null) {
    strSQLLines = " and (assignment.lineid = " + selectedLines[0];
    for(int i=1; i<selectedLines.length; i++) {
      strSQLLines += " or assignment.lineid = " + selectedLines[i];
    }
    strSQLLines += ")";

    strSQLLinesSubjects = "and assoriginalposline.lineid in (";
    for(int i=0; i<selectedLines.length; i++) {
      strSQLLinesSubjects += " " + selectedLines[i];
      if(i<(selectedLines.length-1)) strSQLLinesSubjects += ",";
    }
    strSQLLinesSubjects += " )";
  }

%>

<%
  String timebegin = "";
  String timeend = "";
  String strSQLDates = "";
  int datesgiven = 0;

  if(request.getParameter("timebegin") != null) {
    timebegin = request.getParameter("timebegin");
    if(!timebegin.equals(""))
      datesgiven++;
  }
  if(request.getParameter("timeend") != null) {
    timeend = request.getParameter("timeend");
    if(!timeend.equals(""))
      datesgiven++;
  }

  if(datesgiven == 2) {
    strSQLDates = " and assignment.finisheddate > '" + timeformater.monthToDBFormat(timebegin) + " '";
    strSQLDates += " and assignment.finisheddate < '" + timeformater.monthToDBFormat(timeend) + " '";
  }
%>

<%
  int iCounter = 0;
  String topic = "";
  String strSQLPhase = " and assignmentphase.phaseid = " + phaseid;

  if(phaseid == readyAssignmentID) topic = "Hyvksytyt opinnytteet";
  else if(phaseid == freeAssignment) {
    topic = "Vapaat aiheet";
  }
  else if(phaseid == allAssignments) strSQLPhase = "";
  else if(phaseid == incompleteAssignmentID) {
    topic = "Tyn alla olevat opinnytteet";
    strSQLPhase = " and (assignmentphase.phaseid = 1";
    strSQLPhase += " or assignmentphase.phaseid = 2";
    strSQLPhase += " or assignmentphase.phaseid = 3";
    strSQLPhase += " or assignmentphase.phaseid = 5 )";
  }
  else if(phaseid == cancelledAssignmentID)
    topic = "Keskeytetyt opinnytteet";

/* ERROR?  pageContext.sendRedirect("searchError.jsp&errorid=1"); */

%>

<%-- Output begins --%>

<%@ include file="/shared/menus.inc" %>

<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://validator.w3.org/sgml-lib/REC-xhtml1-20000126/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" lang="fi">

<%@ taglib uri="/META-INF/taglib.tld" prefix="t" %>

<head>

<title>Korppi</title>
<link href="kotka2.css" rel="stylesheet" type="text/css" media="screen" />
<link href="report.css" rel="stylesheet" type="text/css" media="print" />
<meta http-equiv="pragma" content="no-cache" />

</head>



<h3><t:Tr>Haun tulokset</t:Tr></h3><br />
<h4><t:Tr><%=topic%></t:Tr></h4>

<table>
<tr>
  <td><strong><t:Tr>Tyyppi</t:Tr></strong></td>
  <td><strong><t:Tr>Otsikko</t:Tr></strong></td>
  <td><strong><t:Tr>Vaihe</t:Tr></strong></td>

<% if(phaseid == allAssignments || phaseid == readyAssignmentID) { %>
  <td><strong><t:Tr>Hyvksymispiv</t:Tr></strong></td>
<% } %>

</tr>
<% if(phaseid != freeAssignment) { %>

  <sql:statement id="stmt2" conn="conn2">
    <sql:query>
      select distinct assignment.assignmentid as assid,
             assdetailtranslation.name as assname,
             asstypetranslation.name as typename,
             assphasetranslation.name as phasename,
             assignment.finisheddate as date
      from   assignment, assdetailtranslation, asstypetranslation,
             assignmentreldetail, assignmentdetail,
             assignmenttype, assignmentphase, assphasetranslation
      where  assignment.assignmentid = assignmentreldetail.assignmentid
      and    assignmentreldetail.detailid = assignmentdetail.detailid
      and    assignmentdetail.detailid = assdetailtranslation.detailid
      and    assignmentdetail.typeid = <%=titleID%>
      and    assdetailtranslation.languageid = <%=languageID%>
      and    assignment.assignmenttypeid = assignmenttype.typeid
      and    assignmenttype.typeid = asstypetranslation.typeid
      and    asstypetranslation.languageid = <%=languageID%>
      and    assignment.phaseid = assignmentphase.phaseid
      and    assignmentphase.phaseid = assphasetranslation.phaseid
      and    assphasetranslation.languageid = <%=languageID%>
      <%=strSQLPhase%>
      <%=strSQLTypes%>
      <%=strSQLText%>
      <%=strSQLPerson%>
      <%=strSQLLines%>
      <%=strSQLDates%>

      order by typename, assname
    </sql:query>
    <sql:resultSet id="rset2" loop="true">
      <tr>
        <td><sql:getColumn colName="typename" /></td>
        <td><a href="assignment.jsp?assid=<sql:getColumn colName="assid" />">
            <sql:getColumn colName="assname" /></a></td> 
        <td><sql:getColumn colName="phasename" /></td> 
        <sql:getColumn colName="date" to="date" scope="page" />
<% if(pageContext.getAttribute("date") != null) { %>
        <td><%=timeformater.monthToOutFormat((String)pageContext.getAttribute("date")) %></td>
<% }
  pageContext.removeAttribute("date");
%>
      </tr>
      <% iCounter++; %>
    </sql:resultSet>
  </sql:statement>
<% } %>
<% if(datesgiven != 2 && personid == -1 && (phaseid == freeAssignment || phaseid == allAssignments)) { %> 

  <sql:statement id="stmt2" conn="conn2">
    <sql:query>
      select distinct assignmentoriginal.originalid as origid,
             Title.name as assname,
             asstypetranslation.name as typename

      from   assignmentoriginal, assdetailtranslation as Title, assdetailtranslation as Description,
             assignmentdetail as TitleD, assignmentdetail as Descr,
             assoriginalreldetail as Descrel, assoriginalreldetail as Titlerel
      where  assignmentoriginal.deleted = false
      and    assignmentoriginal.available > 0
      and    assignmentoriginal.originalid = assoriginalpostype.originalid
      and    assoriginalpostype.typeid = assignmenttype.typeid
      and    assignmenttype.typeid = asstypetranslation.typeid
      and    asstypetranslation.languageid = <%=languageID%>
      and    asstypetranslation.deleted = false
      and    assignmentoriginal.originalid = assoriginalposline.originalid
      and    assoriginalposline.lineid in (  1, 2, 3  )
      and    assignmentoriginal.originalid = Descrel.originalid
      and    Descrel.deleted = false
      and    Descrel.detailid = Descr.detailid
      and    Descr.typeid = <%=descriptionID%>
      and    Descr.detailid = Description.detailid
      and    Description.languageid = <%=languageID%>
      and    assignmentoriginal.originalid = Titlerel.originalid
      and    Titlerel.deleted = false
      and    Titlerel.detailid = TitleD.detailid
      and    TitleD.typeid = <%=titleID%>
      and    TitleD.detailid = Title.detailid
      and    Title.languageid = <%=languageID%>

      and    assignmentoriginal.originalid = assoriginalrelkeyword.originalid
      and    assoriginalrelkeyword.deleted = false
      and    assoriginalrelkeyword.keywordid = assignmentkeyword.keywordid
      and    assignmentkeyword.keywordid = asskeywordtranslation.keywordid
      and    asskeywordtranslation.languageid = <%=languageID%>

      <%=strSQLTextSubjects%>
      <%=strSQLTypesSubjects%>
      <%=strSQLLinesSubjects%>

      order by typename, assname

    </sql:query>
    <sql:resultSet id="rset2" loop="true">
      <tr>
        <td><sql:getColumn colName="typename" /></td>
        <td><a href="assignment.jsp?origid=<sql:getColumn colName="origid" />"><sql:getColumn colName="assname" /></a></td>
        <td>Vapaa aihe</td>
      </tr>
      <% iCounter++; %>
    </sql:resultSet>
  </sql:statement>
<% } %>
</table>
<br />

<h4><t:Tr>Yhteens</t:Tr> <%=iCounter%></h4>
<p>
<a href="search.jsp">Uusi haku</a>
</p>

<%@ include file="/shared/pageEnd.inc" %>
