<%
/***************************************************************************************************
*               PAGE DESCRIPTION
****************************************************************************************************
*
*               NAME:           addEvent.jsp
*               LANGUAGE:       JSP
*               DATE:           4.4.2002
*               AUTHOR:         Minna Hillebrand, University of Jyvskyl (JYU)
*               PURPOSE:        Show Assignmentevent's details
*
****************************************************************************************************
*               COPYRIGHT (C) KOPPELO PROJECT GROUP
*               Limited rights granted. Please refer to GNU General Public License
*               http://www.gnu.org/licenses/gpl.html
****************************************************************************************************

****************************************************************************************************
*               UPDATES
****************************************************************************************************
*               13.5.2002 M.Ylitalo              
*                 - Some bug fixes
*
****************************************************************************************************/
%>


<%@ include file="/shared/beans.inc" %>
<%@ include file="/shared/constants.inc" %>
<%@ include file="/shared/dbconnect.inc" %>

<%

 if (request.getParameter("assid") == null)
   response.sendRedirect("error.jsp?page=addEvent&message=1") ;
 int assID = Integer.parseInt((String)request.getParameter("assid"));

%>

  <sql:statement id="stmt2" conn="conn2">
    <sql:query>
          select 1 as id
          from   assignmentrelatedperson
          where  assignmentrelatedperson.deleted = false 
          and    assignmentrelatedperson.assignmentid = <%=assID%>
          and    assignmentrelatedperson.personid = <%=personID%>
          and    assignmentrelatedperson.roleid = assrolerelright.roleid
          and    assrolerelright.deleted = false
          and    assrolerelright.rightid = <%=allowAssDetail%> 
    </sql:query>
    <sql:resultSet id="rset2">
      <sql:getColumn colName="id" to="did" scope="page" />
    </sql:resultSet>
  </sql:statement>

<%
  try {
    int id = Integer.parseInt((String)pageContext.getAttribute("did"));
  } catch (Exception e) {
    response.sendRedirect("errorNoAccess.jsp"); 
    return;
  }


  boolean isStudent = true;
  String regid="";
%>

  <sql:statement id="stmt2" conn="conn2">
    <sql:query>
          select assignmentrelatedperson.roleid as id,
                 assignmentrelatedperson.relationid as regid 
          from   assignmentrelatedperson
          where  assignmentrelatedperson.deleted = false 
          and    assignmentrelatedperson.assignmentid = <%=assID%>
          and    assignmentrelatedperson.personid = <%=personID%>
    </sql:query>
    <sql:resultSet id="rset2">
      <sql:getColumn colName="id" to="roleid" scope="page" />
      <sql:getColumn colName="regid" to="regid" scope="page"/> 
      <% try { 
           if ( Integer.parseInt((String)pageContext.getAttribute("roleid")) != studentID ) isStudent = false; 
           regid = (String)pageContext.getAttribute("regid"); 
         } catch (Exception e) { response.sendRedirect("error.jsp?page=addEvent&message=2"); return; } 
       %> 
    </sql:resultSet>
  </sql:statement>

<%@ include file="/shared/header.inc" %>
<%@ include file="/shared/menus.inc" %>


<h3><t:Tr>Tapahtuman lisminen</t:Tr></h3>

<br / >
<sql:statement id="stmt2" conn="conn2">
  <sql:query>
   select assdetailtranslation.name as assname, 
          assignment.assignmentid as assid
   from  assignment 
   where assignment.deleted = false 
   and   assignment.assignmentid = <%=assID%>
   and   assignmentreldetail.assignmentid = assignment.assignmentid
   and   assignmentreldetail.deleted = false  
   and   assignmentreldetail.detailid = assignmentdetail.detailid
   and   assignmentdetail.typeid = <%=titleID%> 
   and   assdetailtranslation.detailid = assignmentdetail.detailid
   and   assdetailtranslation.languageid = <%=languageID%>;
  </sql:query>
  <sql:resultSet id="rset2">
    <h4><a href="assignment.jsp?assid=<sql:getColumn colName="assid" />"><sql:getColumn colName="assname" /></a></h4> 
    <sql:getColumn colName="assid" to="assid" scope="page"/>
  </sql:resultSet>
</sql:statement>


<form method="post" action="insertEvent.jsp">

<input type="hidden" name="assid" value="<%=assID%>" />
<input type="hidden" name="regid" value="<%=regid%>" />

<%   
   java.util.Date today = new java.util.Date();
   java.text.SimpleDateFormat parser = new java.text.SimpleDateFormat("dd.MM.yyyy");

   java.text.SimpleDateFormat timeparser = new java.text.SimpleDateFormat("HH:mm");
     
%>

<div class="in">
<table>
<tr>
    <td><label for="pvm"><strong><t:Tr>Pivmr </t:Tr></strong></label></td>
    <td><input id="pvm" type="text" name="date" value="<%= parser.format(today) %>" size="12"/></td>
</tr>
<tr>
    <td><label for="begintime"><strong><t:Tr><strong>Aloitusaika </t:Tr></strong></label></td>
    <td><input id="begintime" type="text" name="begintime" value="<%= timeparser.format(today) %>" size="7" /></td>
</tr>
<tr>
    <td><label for="endtime"><strong><t:Tr>Lopetusaika </t:Tr></strong></label></td>
    <% today.setHours( today.getHours() +1 ); %>
    <td><input id="endtime" type="text" name="endtime" value="<%= timeparser.format(today)%>" size="7" /></td>
</tr>


<tr>
    <td><label for="eventtype"><strong><t:Tr>Tapahtuman tyyppi </t:Tr></strong></label></td>
    <td>
<select id="eventtype" name="typeid">

<% if (!isStudent) { %>
  <sql:statement id="stmt4" conn="conn2">
    <sql:query>
     select asseventtypetranslation.name as type,
            asseventtypetranslation.typeid as typeid
     from   asseventtypetranslation
     where asseventtypetranslation.languageid = <%=languageID%>;
    </sql:query>
    <sql:resultSet id="rset2" loop="true">
      <option value="<sql:getColumn colName="typeid" />"><sql:getColumn colName="type" /></option>  
    </sql:resultSet>
  </sql:statement>
<% } else { %>
      <option value="4">Oppilaan raportti</option>  
<% } %>
</select>
  </td>
</tr>

<tr>
    <td><label for="task"><strong><t:Tr>Tehtv </t:Tr></strong></label></td>
    <td>
<select id="task" name="taskid">
  <option selected value="null">ei tehtv</option>
  <sql:statement id="stmt4" conn="conn2">
    <sql:query>
     select asstasktranslation.name as task,
            assignmenttaskrelation.taskid as taskid
     from   assignmenttaskrelation
     where  assignmenttaskrelation.deleted = false
     and    assignmenttaskrelation.assignmentid = <%=assID%>
     and    assignmenttaskrelation.taskid = assignmenttask.taskid
     and    assignmenttask.taskid = asstasktranslation.taskid
     and    asstasktranslation.languageid = <%=languageID%>;
    </sql:query>
    <sql:resultSet id="rset2" loop="true">
      <option value="<sql:getColumn colName="taskid" />"><sql:getColumn colName="task" /></option>  
    </sql:resultSet>
  </sql:statement>
</select>
  </td>
</tr>

<tr>
    <td valign="top"><label for="title"><strong><t:Tr>&nbsp;<br />Otsikko </t:Tr></strong></label></td>
    <td>&nbsp;<br /><input id="title" type="text" name="title" value="" size="30" /></td>
</tr>
<tr>
    <td valign="top"><label for="kuvaus"><strong><t:Tr>Kuvaus </t:Tr></strong></label></td>
    <td><textarea id="kuvaus" name="memo" rows="8" cols="50"></textarea></td>
</tr>

<tr>
    <td colspan="2"><p><input type="submit" name="laheta" value="Lis tapahtuma" /></p></td>
</tr>

</table>
</div>
</form>



<%@ include file="/shared/pageEnd.inc" %>


