<%
/***************************************************************************************************
*               PAGE DESCRIPTION
****************************************************************************************************
*
*               NAME:           adminAssRightGroup.jsp
*               LANGUAGE:       JSP
*               DATE:           6.5.2002
*               AUTHOR:         Minna Hillebrand, University of Jyvskyl (JYU)
*               PURPOSE:        Show all user group related rights
*
****************************************************************************************************
*               COPYRIGHT (C) KOPPELO PROJECT GROUP
*               Limited rights granted. Please refer to GNU General Public License
*               http://www.gnu.org/licenses/gpl.html
****************************************************************************************************

****************************************************************************************************
*               UPDATES
****************************************************************************************************
*          
*          
*          
*          
*
****************************************************************************************************/
%>

<%@ include file="/shared/beans.inc" %>
<%@ include file="/shared/constants.inc" %>

<% /* No relation to database is needed */
   if ( userAccessLevel < 6 )  { response.sendRedirect("errorNoAccess.jsp"); return; }
%>

<%@ include file="/shared/header.inc" %>
<%@ include file="/shared/menus.inc" %>
<%@ include file="/shared/dbconnect.inc" %>

<%  String orderBy= " order by  accessrightleveltranslation.name"; 
    String order="";
    if (request.getParameter("orderby") != null) order = request.getParameter("orderby");
    if ( order.equals("groupname") ) orderBy = " order by accessrightleveltranslation.name";
    if ( order.equals("rightname") ) orderBy = " order by assignmentright.name, accessrightleveltranslation.name";
%>


<h3><t:Tr>KOTKAn kyttjryhmiin liitetyt oikeudet</t:Tr></h3>

<div class="in">

<p><a href="adminAssRightGroupAdd.jsp">Lis kyttjryhmille oikeuksia...</a></p>

<form action="adminAssRightGroupRemove.jsp">


<table>
  <tr>
     <td><strong><t:Tr>Poista</t:Tr></strong></td>
     <td><strong><a href="adminAssRightGroup.jsp?orderby=groupname"><t:Tr>Kyttjryhm</t:Tr></a></strong></td>
     <td><strong><a href="adminAssRightGroup.jsp?orderby=rightname"><t:Tr>Oikeus</t:Tr></a></strong></td>
  </tr>

  <sql:statement id="stmt2" conn="conn2">
    <sql:query>
      select accessrightleveltranslation.name as groupname,
             accessrightleveltranslation.accessrightlevelid as groupid,
             assignmentright.name as rightname,
             assusergrouprelright.rightid as rightid 
      from   assusergrouprelright 
      where  assusergrouprelright.deleted = false 
      and    assusergrouprelright.groupid = accessrightleveltranslation.accessrightlevelid 
      and    accessrightleveltranslation.languageid = <%=languageID%>
      and    assusergrouprelright.rightid = assignmentright.rightid
    </sql:query>
    <sql:resultSet id="rset2">
      <tr>
        <td valign="top"><input type="checkbox" name="groupid" value="<sql:getColumn colName="groupid" />,<sql:getColumn colName="rightid" />" /></td>
        <td valign="top"><sql:getColumn colName="groupname" /></td>
        <td valign="top"><sql:getColumn colName="rightname" /></td>
       </tr>
    </sql:resultSet>
  </sql:statement>

</table>

<p><input type="submit" name="submit" value="Poista valitut oikeudet" /></p>
</form>


<%@ include file="/shared/pageEnd.inc" %>


