<%
/***************************************************************************************************
*               PAGE DESCRIPTION
****************************************************************************************************
*
*               NAME:           adminAssRightPersonInsert.jsp
*               LANGUAGE:       JSP
*               DATE:           6.5.2002
*               AUTHOR:         Minna Hillebrand, University of Jyvskyl (JYU)
*               PURPOSE:        Remove selected rights from table AssPersonRelRigth
*
****************************************************************************************************
*               COPYRIGHT (C) KOPPELO PROJECT GROUP
*               Limited rights granted. Please refer to GNU General Public License
*               http://www.gnu.org/licenses/gpl.html
****************************************************************************************************

****************************************************************************************************
*               UPDATES
****************************************************************************************************
*          
*          
*
****************************************************************************************************/
%>

<%@ include file="/shared/beans.inc" %>
<%@ include file="/shared/constants.inc" %>

<% /* No relation to database is needed */
   if ( userAccessLevel < 6 )  { response.sendRedirect("errorNoAccess.jsp"); return; }
%>

<%@ include file="/shared/dbconnect.inc" %>

<%

  String[] personid = request.getParameterValues("personid");
  String[] rightid = request.getParameterValues("rightid");
  String[] lineid = request.getParameterValues("lineid");
  String[] typeid = request.getParameterValues("typeid");

  if (personid == null || rightid == null || lineid == null || typeid == null) {
    response.sendRedirect("error.jsp?message=1&page=adminAssRightPersonInsert");
    return;
  }

  for(int i=0; i<personid.length; i++) {
    for(int j=0; j<rightid.length; j++) {
      for(int k=0; k<lineid.length; k++) {
        for(int l=0; l<typeid.length; l++) {
          try {
%>
      <sql:statement id="stmt2" conn="conn2">
        <sql:query>
          insert into asspersonrelright 
            (deleted, personid, rightid, lineid, asstypeid, grantedby, grantedon)
          values (false, <%=personid[i]%>, <%=rightid[j]%>, <%=lineid[k]%>, 
                  <%=typeid[l]%>, <%=personID%>, current_date)          </sql:query>
        <sql:execute />
      </sql:statement>
<%                
          } catch (Exception e) {
            try { 
%>        <sql:statement id="stmt2" conn="conn2">
          <sql:query>
            update asspersonrelright 
            set deleted = false
            where personid = <%=personid[i]%>
            and   rightid = <%=rightid[j]%>   
            and   lineid = <%=lineid[k]%>   
            and   asstypeid = <%=typeid[l]%>   
          </sql:query>
          <sql:execute />
        </sql:statement>
<%      } catch (Exception f) {}
        }
        }
      }
    }
  }
  response.sendRedirect("adminAssRightPerson.jsp");
  
%>



