<%
/***************************************************************************************************
*               PAGE DESCRIPTION
****************************************************************************************************
*
*               NAME:           assignmentRemove.jsp
*               LANGUAGE:       JSP
*               DATE:           4.4.2002
*               AUTHOR:         Minna Hillebrand, University of Jyvskyl (JYU)
*               PURPOSE:        Confirm that the user wants to remove selected assignment.
*
****************************************************************************************************
*               COPYRIGHT (C) KOPPELO PROJECT GROUP
*               Limited rights granted. Please refer to GNU General Public License
*               http://www.gnu.org/licenses/gpl.html
****************************************************************************************************

****************************************************************************************************
*               UPDATES
****************************************************************************************************
*              
*
*
****************************************************************************************************/
%>


<%@ include file="/shared/beans.inc" %>
<%@ include file="/shared/constants.inc" %>
<%@ include file="/shared/dbconnect.inc" %>

<%

 if (request.getParameter("assid") == null)
   response.sendRedirect("error.jsp?page=addEvent&message=1") ;
 int assID = Integer.parseInt((String)request.getParameter("assid"));

%>


<%@ include file="/shared/header.inc" %>
<%@ include file="/shared/menus.inc" %>


<h3><t:Tr>Opinnytteen poistaminen</t:Tr></h3>


<form method="post" action="assignmentRemoveInsert.jsp">

<input type="hidden" name="assid" value="<%=assID%>" />

<div class="in">

<p>Haluatko varmasti poistaa kyseisen opinnytteen? <input type="submit" name="submit" value="Poista"></p>



<p><a href="assignmentUpdate.jsp?assid=<%=assID%>">Takaisin opinnytteen tietojen hallinnointiin.</a></p>

</div>
</form>



<%@ include file="/shared/pageEnd.inc" %>


